=== debian/changelog ===
choose-mirror (2.13etch4) oldstable; urgency=low

  * Backport from trunk.
    - Correctly move progress bar to 100% after reading suites.

 -- Frans Pop <fjp@debian.org>  Thu,  4 Feb 2010 21:20:13 +0100

choose-mirror (2.13etch3) oldstable; urgency=low

  * Backport fix by Joey Hess:
    - mirror_root can return null. If it does, flag the mirror as invalid.
  * Backport from Lenny to improve validation of suites available on
    selected mirror and suite selection.
    Changes include:
    - all suites available on a mirror get validated; if an inconsistency is
      found in any suite (between directory/symlink names and Suite/Codename
      fields in the Release file), the mirror will be rejected as invalid;
    - if a release can be accessed using codename as well as suite, the
      selection dialog will display both;
    - proper support for oldstable; will only be listed in selection dialog if
      it's the requested release (as installer default or through preseeding);
    - improved support for mirror that only have codename directories, such as
      archive.debian.org;
    - support for mirrors that don't have codename directories (but use suite
      names as directories);
    - various code cleanups.
    Many thanks to Jérémy Bobbio for reviewing the changes.
  * Update translations of the new string 'oldstable' from trunk.

 -- Frans Pop <fjp@debian.org>  Sun,  6 Dec 2009 08:52:56 +0100

choose-mirror (2.13etch2) stable; urgency=low

  * Update mirror list.

 -- Frans Pop <fjp@debian.org>  Thu, 31 Jan 2008 14:21:29 +0000

choose-mirror (2.13etch1) stable; urgency=low

  * Update mirror list.

 -- Frans Pop <fjp@debian.org>  Mon,  4 Jun 2007 22:57:44 +0200
