## choose-mirror 2.19ubuntu6

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 LIBS=-ldebconfclient -ldebian-installer
 
 # Derivative distributions may want to change these.
-MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
-MASTERLIST=Mirrors.masterlist
+#MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
+MASTERLIST=Mirrors.masterlist.ubuntu
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
