=== debian/control ===
Source: choose-mirror
Section: debian-installer
Priority: extra
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/choose-mirror/ubuntu

Package: choose-mirror
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, configured-network, choose-mirror-bin
XB-Installer-Menu-Item: 2300
Description: Choose mirror to install from (menu item)

Package: choose-mirror-bin
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Choose mirror to install from (program)
