## choose-mirror 2.28lenny6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-USE_HTTP=1
-#USE_FTP=1
+export USE_HTTP=1
+#export USE_FTP=1
 USE_FTP_MANUAL=1
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -27,8 +27,8 @@
 LIBS=-ldebconfclient -ldebian-installer
 
 # Derivative distributions may want to change these.
-#MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
-MASTERLIST=Mirrors.masterlist.ubuntu
+MIRRORLISTURL=http://cvs.debian.org/*checkout*/webwml/english/mirror/Mirrors.masterlist?rev=HEAD&cvsroot=webwml&content-type=text/plain
+MASTERLIST=Mirrors.masterlist
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -DDODEBUG
@@ -52,23 +52,26 @@
 force-try-update: ;
 endif
 
-debian/httplist-countries: $(MASTERLIST)
+debian/iso_3166.tab:
+	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab
+
+debian/httplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist httplist $^
 
-debian/ftplist-countries: $(MASTERLIST)
+debian/ftplist-countries: $(MASTERLIST) debian/iso_3166.tab
 	./mirrorlist ftplist $^
 
-debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries
+debian/choose-mirror-bin.templates: $(MASTERLIST) $(templates) debian/httplist-countries debian/ftplist-countries debian/iso_3166.tab
 	# Grab ISO codes from iso-codes package
 	./get-iso-codes
 	# Build the templates
 	./mktemplates $(templates)
 
-mirrors_http.h: $(MASTERLIST)
-	./mirrorlist http $^
+mirrors_http.h: $(MASTERLIST) debian/iso_3166.tab
+	if [ "$$USE_HTTP" ]; then ./mirrorlist http $^; fi
 
-mirrors_ftp.h: $(MASTERLIST)
-	./mirrorlist ftp $^
+mirrors_ftp.h: $(MASTERLIST) debian/iso_3166.tab
+	if [ "$$USE_FTP" ]; then ./mirrorlist ftp $^; fi
 
 choose-mirror.o: mirrors_http.h mirrors_ftp.h
 
@@ -96,6 +99,7 @@
 	rm -f debian/templates-countries debian/httplist-countries debian/ftplist-countries
 	rm -f demo demo.templates
 	rm -rf debian/iso-codes debian/pobuild
+	rm -f debian/iso_3166.tab
 
 reallyclean: clean
 	rm -f debian/choose-mirror-bin.templates
