=== debian/changelog ===
choose-mirror (2.28lenny6) stable; urgency=low

  * Backport from trunk.
    - Correctly move progress bar to 100% after reading suites.
  * Updated mirror list.

 -- Frans Pop <fjp@debian.org>  Sat, 08 May 2010 16:50:46 +0000

choose-mirror (2.28lenny5) stable; urgency=low

  * Fix inconsistency between network- and CD-based installs by always
    cross-validating Release files to ensure identical behavior during
    apt-setup.

 -- Frans Pop <fjp@debian.org>  Mon, 30 Nov 2009 06:46:00 +0000

choose-mirror (2.28lenny4) stable; urgency=low

  * Revert incomplete solution from 2.28lenny2 for oldstable. It does not
    work when users install in expert mode.
  * Backport from trunk to improve validation of suites available on
    selected mirror and suite selection. Closes: #518319.
    Changes include:
    - all suites available on a mirror get validated; if an inconsistency is
      found in any suite (between directory/symlink names and Suite/Codename
      fields in the Release file), the mirror will be rejected as invalid;
    - if a release can be accessed using codename as well as suite, the
      selection dialog will display both;
    - proper support for oldstable; will only be listed in selection dialog if
      it's the requested release (as installer default or through preseeding);
    - improved support for mirror that only have codename directories, such as
      archive.debian.org;
    - support for mirrors that don't have codename directories (but use suite
      names as directories);
    - various code cleanups.
    Many thanks to Jérémy Bobbio for reviewing the changes.
  * Update translations for suites (especially of the new string 'oldstable')
    from trunk.

 -- Frans Pop <fjp@debian.org>  Sat, 28 Nov 2009 20:27:51 +0000

choose-mirror (2.28lenny3) stable; urgency=low

  * Properly upload it to stable.

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 04 Apr 2009 15:49:02 -0300

choose-mirror (2.28lenny2) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Accept "oldstable" as a correct preseed for mirror/suite (closes: #517644).

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 04 Apr 2009 15:29:29 -0300

choose-mirror (2.28lenny1) unstable; urgency=low

  * Rebuilt using updated Mirrors.masterlist

 -- Otavio Salvador <otavio@debian.org>  Tue, 06 Jan 2009 16:36:35 -0200

choose-mirror (2.28) unstable; urgency=low

  * Rebuilt using updated Mirrors.masterlist

 -- Otavio Salvador <otavio@debian.org>  Tue, 02 Dec 2008 21:55:19 -0200
