=== debian/changelog ===
choose-mirror (2.37) unstable; urgency=low

  [ Christian Perrier ]
  * Use "mirror" as default hostname for custom FTP or HTTP mirror
    Closes: #605579

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:33:11 -0200

choose-mirror (2.36) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn  Felli
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 12 Nov 2010 15:06:39 -0200

choose-mirror (2.35) unstable; urgency=medium

  * List in-country leaf mirrors before out-of-country GeoDNS mirrors
    for countries that have no push mirrors. Closes: #598538
    (Affects 20 countries.)

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Finnish (fi.po) by Esko Arajärvi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Janos Guljas
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Joey Hess <joeyh@debian.org>  Wed, 29 Sep 2010 17:53:48 -0400

choose-mirror (2.34) unstable; urgency=low

  [ Joey Hess ]
  * Support entries in Mirrors.masterlist of "Type: GeoDNS".
  * For now, GeoDNS mirrors are listed above Leaf mirrors, but after
    Push-Primary and Push-Secondary mirrors. We may later choose to
    change the ordering so cdn.debian.net is used by default.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Persian (fa.po) by acathur
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Nepali (ne.po)
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 07:30:51 +0200

choose-mirror (2.33) unstable; urgency=low

  * Correctly move progress bar to 100% after reading suites.
  * Fix incorrect sorting of country lists for English. Closes: #569199.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Basque (eu.po)
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Vanja Cvelbar
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 10 Feb 2010 23:08:52 +0100

choose-mirror (2.32) unstable; urgency=low

  * Improve generation of country selection templates to avoid display of
    untranslated country codes. Closes: #502245.
  * Use Norwegian Bokmaal country names if no iso-codes translation is
    available for Northern Sami.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Esko Arajärvi
  * Hungarian (hu.po) by SZERVÁC Attila
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Vanja Cvelbar
  * Turkish (tr.po) by Mert Dirik
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Fri, 29 Jan 2010 23:45:47 +0100

choose-mirror (2.31) unstable; urgency=low

  * Fix inconsistency between network- and CD-based installs by always
    cross-validating Release files to ensure identical behavior during
    apt-setup.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Bulgarian (bg.po) by Damyan Ivanov
  * Greek, Modern (1453-) (el.po)
  * Japanese (ja.po) by Kenshi Muto
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Mon, 30 Nov 2009 07:27:04 +0100

choose-mirror (2.30) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * Drop backwards compatibility support for preseeding of "manual" mirror
    selection.
  * Improve validation of suites available on selected mirror and suite
    selection. Changes include:
    - all suites available on a mirror get validated; if an inconsistency is

