## choose-mirror 2.37ubuntu2

=== debian/changelog ===
choose-mirror (2.37ubuntu2) natty; urgency=low

  * Record a dummy "GB" entry in templates files for non-country-specific
    mirrors (i.e. ports.ubuntu.com) so that ports installations have more
    choices than just "enter information manually" (LP: #756719).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Apr 2011 15:06:37 +0100

choose-mirror (2.37ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2011 18:48:20 +0000

choose-mirror (2.36ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:32:12 +0000

choose-mirror (2.35ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, powerpc) use
      ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.
    - Skip mirror validation if the base system is installable and we're
      installing from a mirror in the masterlist.
    - Don't check if archive.ubuntu.com is reachable before asking for a
      proxy.
    - Allow preseeding the default CC.archive.ubuntu.com setup by preseeding
      mirror/http/mirror to CC.archive.ubuntu.com, and likewise for
      mirror/ftp/mirror.
    - Force xgettext to use UTF-8 encoding when generating templates files,
      to cope with Côte d'Ivoire.
  * Drop ia64 and sparc support, as those were EOL in Maverick.
  * Switch to natty by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Oct 2010 11:30:04 +0100

choose-mirror (2.33ubuntu3) maverick; urgency=low

  * Set mirror/suite Default to maverick (LP: #656037).
  * Accept a mirror/suite default even if the base system is on the CD
    (workaround for maverick).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Oct 2010 10:30:43 +0100

choose-mirror (2.33ubuntu2) maverick; urgency=low

  * Fix mismerge of Ubuntu-specific change to skip mirror validation if the
    base system is installable and we're installing from a mirror in the
    masterlist.  With the reorganisation of suite validation in 2.30,
    exiting early meant that the proxy question never got asked.  Instead,
    modify get_release and check_arch to return early in this case, but
    otherwise keep going (LP: #613550).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 03 Oct 2010 12:33:47 +0100

choose-mirror (2.33ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use Ubuntu mirrors.
    - Ubuntu branding.
    - Set default country to GB.
    - Never ask mirror/suite, mark it untranslatable, and give it
      appropriate choices for Ubuntu.
    - Pick CC.archive.ubuntu.com (for the country selected in the installer)
      as the default mirror. For ports architectures (armel, ia64, powerpc,
      sparc) use ports.ubuntu.com instead.
    - Drop the priorities of the country/mirror questions to medium if we're
      installing from a CD that includes the base system.
    - Support setting OVERRIDE_BASE_INSTALLABLE in the environment to force
      choose-mirror to assume that the base system is installable.

