## choose-mirror 2.37+squeeze1

=== debian/changelog ===
choose-mirror (2.37+squeeze1) squeeze; urgency=low

  [ Tollef Fog Heen ]
  * Update URL for master mirror list.

  [ Cyril Brulebois ]
  * Backport the above change from 2.39 to fix FTBFS. Closes: #695851

 -- Cyril Brulebois <kibi@debian.org>  Sat, 22 Dec 2012 01:09:59 +0100
