=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: debian-installer
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 5.0.22), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
+Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 7.0.50), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
 
 Package: choose-mirror
