=== debian/changelog ===
choose-mirror (2.37+squeeze1jasp1) squeeze; urgency=low

  * Several improvements.

 -- Javier Serrano Polo <javier@jasp.net>  Sun, 24 Feb 2013 16:33:46 +0100
