=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: debian-installer
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>,
+ Javier Serrano Polo <javier@jasp.net>
 Build-Depends: debhelper (>= 7.0.50), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
