=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: debian-installer
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>,
- Javier Serrano Polo <javier@jasp.net>
+Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libdebconfclient0-dev, wget, po-debconf, libdebian-installer4-dev, locales, iso-codes, isoquery
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/choose-mirror
+Vcs-Browser: http://git.debian.org/?p=d-i/choose-mirror.git
+Vcs-Git: git://git.debian.org/d-i/choose-mirror.git
 
 Package: choose-mirror
 XC-Package-Type: udeb
