## choose-mirror 2.39

=== debian/changelog ===
choose-mirror (2.39) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Update URL for master mirror list. Closes: #638877

  [ Otavio Salvador ]
  * Do not overwrite the contents of mirror/suite and mirror/codename in
    case those has been preseeded. Thanks to Tokarski Boleslaw
    <boleslaw.tokarski@tieto.com> for the patch. Closes: #635053.

  [ Colin Watson ]
  * Fix broken check for "://" in proxy value.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Basque (eu.po)
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Macedonian (mk.po) by Arangel Angov
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Aug 2011 21:33:45 +0100
